Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.observe
Class NetChangeObserver

    java.lang.Object
      org.modeshape.graph.observe.ChangeObserver
          org.modeshape.graph.observe.NetChangeObserver

All Implemented Interfaces:
  Observer

Direct Known Subclasses:
  RepositoryService.ConfigurationChangeObserver, SequencingService.RepositoryObserver

    @ThreadSafe
    public abstract class NetChangeObserver

extends ChangeObserver

A specialized `Observer` that figures out the net changes made during a single `set of changes`. For example, if a property is updated and then updated again, the net change will be a single change. Or, if a node is created and then deleted, no net change will be observed.

Nested Class Summary
`protected class` | `NetChangeObserver.ChangeContext` Representation of the context in which a set of changes are being made.
`static class` | `NetChangeObserver.ChangeType`
`static class` | `NetChangeObserver.NetChange` A notification of changes to a node.
`static class` | `NetChangeObserver.NetChanges` A set of net changes that were made atomically.

Nested classes/interfaces inherited from class org.modeshape.graph.observe.ChangeObserver
`ChangeObserver.ChangeSourceReference`

Constructor Summary
`protected` | `NetChangeObserver()`

Method Summary
`void` | `notify(Changes changes)` Method that is called for each `Changes` from the `Observable` instance(s) with which this listener is registered.
`protected abstract void` | `notify(NetChangeObserver.NetChanges netChanges)` Method that is called for the set of net changes.

Methods inherited from class org.modeshape.graph.observe.ChangeObserver
`doUnregister, isRegistered, unregister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetChangeObserver

    protected NetChangeObserver()

Method Detail

### notify

    public void notify(Changes changes)

  Method that is called for each `Changes` from the `Observable` instance(s) with which this listener is registered.

  Specified by:
    `notify` in interface `Observer`
  Specified by:
    `notify` in class `ChangeObserver`
  Parameters:
    `changes` - the change set
  See Also:
    `ChangeObserver.notify(org.modeshape.graph.observe.Changes)`

### notify

    protected abstract void notify(NetChangeObserver.NetChanges netChanges)

  Method that is called for the set of net changes.

  Parameters:
    `netChanges` - the net changes; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.